<form  [formGroup]="fTask" (submit)="saveTask()" class="gap-4 grid grid-cols-12 -mt-7">
    <mat-form-field appearance="fill" color="accent" class="col-span-10">
        <mat-label>Aggrega una tarea</mat-label>
        <input matInput placeholder="Ej: Recoger Documentos" formControlName="name">
        <mat-error>Ingresa una tarea valida</mat-error>
    </mat-form-field>
    <button type="submit" mat-flat-button class="bg-blue-800 text-white col-span-2 py-7 text-md">
        Crear
        <mat-icon>add_circle</mat-icon>
    </button>
</form>
<section>
    <section class="mb-2 flex justify-between text-lg font-semibold">
        <article class="flex gap-2">
            <span class="text-blue-400">Tareas creadas</span>
            <span class="bg-gray-400 px-3 rounded-full text-gray-600">{{taskService.getTotalTask()}}</span>
        </article>
        <article class="flex gap-2">
            <span class="text-purple-400">Tareas Concluidas</span>
            <span class="bg-gray-400 px-3 rounded-full text-gray-600">{{taskService.getTtotalTaskEnded()}} de {{taskService.getTotalTask()}}</span>
        </article>
    </section>
    <ul class="flex flex-col gap-4">
        <app-task *ngFor="let task of taskService.getListTask(); let idx = index" [task] = "task" [idx]="idx"></app-task>
    </ul>
</section>
